Mongo::poolDebug
Mongo::setSlaveOkay
Mongo
PHP Manual

# Mongo::setPoolSize

(PECL mongo >=1.2.0)

Mongo::setPoolSize — Set the size for future connection pools.

### Description

public static bool Mongo::setPoolSize ( int `$size` )
Warning

This method has been DEPRECATED as of version 1.2.3. Relying on this feature is highly discouraged. Please use MongoPool::setSize() instead.

Sets the max number of connections new pools will be able to create.

### Parameters

`size`

  The max number of connections future pools will be able to create. Negative numbers mean that the pool will spawn an infinite number of connections.

### Return Values

Returns the former value of pool size.

### Examples

Example #1 Mongo::setPoolSize() example

If you set the pool size to n and then create n connections, attempting to create an n+1st connection will throw a MongoConnectionException.

`<?php
// only allow one connection to a server
Mongo::setPoolSize(1);
// creates one connection to localhost:27017
$m1 = new Mongo();
// attempt to create a second connection to localhost:27017
// only one connection is allowed, so this will throw an exception
$m2 = new Mongo();
?>`

The above example will output something similar to:

    Fatal error: Uncaught exception 'MongoConnectionException' with message 'no more connections in pool' in /path/to/php/script.php:10
    Stack trace:
    #0 /path/to/php/script.php(10): Mongo->__construct()
    #1 {main}
      thrown in /path/to/php/script.php on line 10

### See Also

- Mongo::getPoolSize() - Get pool size for connection pools
- Mongo::poolDebug() - Returns information about all connection pools.
- The connection documentation.

Mongo::poolDebug
Mongo::setSlaveOkay
Mongo
PHP Manual